* {
  box-sizing: border-box;
}

body {
  --background: #fdf6e3;
  --background-dark: #eee8d5;

  background-color: var(--background);
  color: #073642;

  width: 800px;
  margin: auto;
  line-height: 1.5;
}

header {
  margin-bottom: 2rem;
}

main {
  margin-top: 2rem;
  margin-bottom: 2rem;
}

table, th, td, tr {
  border: 1px solid #073642;
}

th {
  color: #dc322f;
}

th, td {
  padding: 0.33rem;
}

h1, h2, h3 {
  color: #dc322f;
}

pre {
  color: #dc322f;
  background-color: var(--background-dark);
  border-radius: 12px;
  padding: 0.75rem;
  overflow: scroll;
}

form {
  background-color: var(--background-dark);
  border-radius: 12px;
  padding: 0.75rem;
}

.flex {
  display: flex;
}

.flex div {
  flex-grow: 1;
  margin:0.5rem;
}

.flex div input {
  display: block;
  width: 100%;
  padding: 6px 12px;
  background-color: var(--background);
  border: 1px solid rgba(0,0,0,0.3);
  border-radius: 8px;
}

input.btn {
  display: block;
  background-color: #dc322f;
  color: var(--background);
  border-radius: 8px;
  padding: 6px 12px;
  border: none;
  margin: auto;
  margin-top: 0.5rem;
}

label {
  font-size: .9em;
  font-weight: bolder;
  display: block;
}

#convert-result {
  margin-top: 0.5rem;
  text-align: center;
  font-style: italic;
}

nav ul {
  display: flex;
  margin: auto;
  padding: 0.5rem;
  background-color: var(--background-dark);
  width: max-content;
  border-radius: 9999px;
}

nav ul li {
  margin: 0;
  padding: 0;
  list-style: none;
}

nav li a {
  display: block;
  color: #073642;
  text-decoration: none;
  padding: 6px 12px;
  border-radius: 9999px;
}

nav li:not(:last-child) a {
  margin-right: 6px;
}

nav li a:hover {
  background-color: rgba(0,0,0,0.1);
}

nav li a.active {
  background-color: var(--background);
  box-shadow: 0px 1px 1px 0px rgba(0,0,0,0.2);
}

footer {
  display: flex;
  justify-content:space-between;
  margin-bottom: 1rem;
}
